# Since it requires an emulator, this package should be submitted to tainted

Name:           mednaffe
Version:        0.8.8
Release:        %mkrel 2
Summary:        Multi-platform front-end (GUI) for the Mednafen emulator (GTK+ 3)
Group:          Emulators
License:        GPLv3+
URL:            https://sites.google.com/site/amatcoder/mednaffe
Source0:        https://github.com/AmatCoder/mednaffe/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-3.0)
Requires:       mednafen
Provides:       mednafen-frontend

%description
QMednafen is a Qt 5 GUI interface for Mednafen, the multi-platform
and multi-console emulator.

QMednafen brings to the user an interface that ease the process
of using Mednafen.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure2_5x --enable-gtk3
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Thu Sep 20 2018 umeabot <umeabot> 0.8.8-2.mga7
  (not released yet)
+ Revision: 1279504
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 0.8.8-1.mga7.tainted
+ Revision: 1229406
- Version 0.8.8

* Sat Aug 26 2017 akien <akien> 0.8.6-1.mga7.tainted
+ Revision: 1148053
- Honor env CFLAGS, thus adding -g for debugsourcefiles.list
- Version 0.8.6

* Wed Feb 15 2017 akien <akien> 0.8.5-1.mga6.tainted
+ Revision: 1086280
- Version 0.8.5

* Mon Jan 23 2017 akien <akien> 0.8.4-1.mga6.tainted
+ Revision: 1083090
- Version 0.8.4

* Thu Nov 24 2016 akien <akien> 0.8.3-1.mga6.tainted
+ Revision: 1069709
- Fix %%files
- Version 0.8.3

* Sun Jan 10 2016 akien <akien> 0.8-1.mga6.tainted
+ Revision: 921012
- imported package mednaffe

